corelinux::Visitor Class Reference

Represent an operation to be performed on the components of an object structure. More...

`#include <Visitor.hpp>`

## Public Member Functions

| Visitor (void)
| Default Constructor.
| Visitor (VisitorCref)
| Copy Constructor. More...
virtual | ~Visitor (void)
| Virtual Destructor.
VisitorRef | operator= (VisitorCref)
| Assignment operator overload. More...
bool | operator== (VisitorCref) const
| Equality operator overload. More...
bool | operator!= (VisitorCref) const
| Non-equality operator overload. More...

## Detailed Description

Represent an operation to be performed on the components of an object structure.

Visitor lets you define a new operation without changing the classes of the components on which it operates.

## Constructor & Destructor Documentation

corelinux::Visitor::Visitor | ( | VisitorCref |  | ) |

Copy Constructor.

Parameters

  Visitor | const reference

## Member Function Documentation

bool corelinux::Visitor::operator!= | ( | VisitorCref | aRef | ) | const

Non-equality operator overload.

Parameters

  Visitor | const reference

Returns
  false if equal, true otherwise

References operator==().

VisitorRef corelinux::Visitor::operator= | ( | VisitorCref |  | ) |

Assignment operator overload.

Parameters

  Visitor | const reference

Returns
  Visitor reference to self

bool corelinux::Visitor::operator== | ( | VisitorCref | aRef | ) | const

Equality operator overload.

Parameters

  Visitor | const reference

Returns
  true if equal, false otherwise

Referenced by operator!=().

The documentation for this class was generated from the following files:

- Visitor.hpp
- Visitor.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium